//
//    MReportManager
//
//
//
//    Steve Moore, 2001.10.23

#ifndef MReportManager_IS_IN
#define MReportManager_IS_IN

#include <vector>
#include <map>
#include <string>

class MStatusMessage;

class MReportManager {
public:

  // Constructors
  MReportManager();

  virtual ~MReportManager();

  virtual void print( ostream& s) const;

  void sendMessage(const char* destination, MStatusMessage& msg);
  void receiveAck(int fd, char* msg);

private:
  int connect(const char* destination);
  void close(int fd);
};

inline ostream& operator <<(ostream& s, const MReportManager& c) {
  c.print( s );
  return s;
}
#endif
