static char sccs_id[] = "// %W% %U% %G%";

//  MStorageResult
//
//  Steve Moore, 5-Jan-1999

#include <iostream>
using namespace std;
#include "ctn_os.h"

#include "MStorageResult.hpp"


MStorageResult::MStorageResult(const char* fileName, const char* destination,
			       int count, int result ) :
  _fileName(fileName),
  _destination(destination),
  _count(count),
  _result(result)
{
}

MStorageResult::MStorageResult(const string& fileName,
			       const string& destination,
			       int count, int result) :
  _fileName(fileName),
  _destination(destination),
  _count(count),
  _result(result)
{
}


MStorageResult::MStorageResult(const MStorageResult& rhs) :
  _fileName(rhs._fileName),
  _destination(rhs._destination),
  _count(rhs._count),
  _result(rhs._result)
{
}

const MStorageResult& 
MStorageResult::operator=( const MStorageResult& rhs )
{
  _fileName = rhs._fileName;
  _destination = rhs._destination;
  _count = rhs._count;
  _result = rhs._result;
  return *this;
}

/*virtual*/
MStorageResult::~MStorageResult()
{
}

void
MStorageResult::print (ostream& s) const
{
  s << "MStorageResult";
}


bool
MStorageResult::operator==(const MStorageResult& other) const
{
  if (!(_fileName == other._fileName))
    return false;
  if (!(_destination == other._destination))
    return false;
  if (_count != other._count)
    return false;
  if (_result != other._result)
    return false;

  return true;
}

bool
MStorageResult::operator!=(const MStorageResult& other) const
{
  return !(*this == other);
}

bool
MStorageResult::operator < (const MStorageResult& other) const
{
  if (_fileName < other._fileName)
    return true;
  else if (_fileName > other._fileName)
    return false;

  if (_destination < other._destination)
    return true;
  else if (_destination > other._destination)
    return false;

  if (_count < other._count)
    return true;
  else if (_count > other._count)
    return false;

  if (_result < other._result)
    return true;
  else return false;
}
