#ifndef _IMAGE_QC_DB_H_
#define _IMAGE_QC_DB_H_
/******************************************************************************
 * image_qc_db.h                                                      R Moulton
 * db header for image qc database
 *****************************************************************************/

#define IMAGEQC_DB "image_qc_db", -1 }

#define LOGIN_QC "login", IMAGEQC_DB

#define DBA_LOGIN_QC {"dba", LOGIN_QC
#define USERID_LOGIN_QC {"user_id", LOGIN_QC
#define PASSWORD_LOGIN_QC {"password", LOGIN_QC
#define NAME_LOGIN_QC {"name", LOGIN_QC
#define QCENTRY_LOGIN_QC {"qc_entry", LOGIN_QC
#define TOPLEVEL_LOGIN_QC {"top_level", LOGIN_QC
#define TOP_LOGIN_QC {"top", LOGIN_QC
#define DELETERIGHTS_LOGIN_QC {"delete_rights", LOGIN_QC
#define LASTLOGIN_LOGIN_QC {"last_login", LOGIN_QC
#define LASTMESSAGE_LOGIN_QC {"last_message", LOGIN_QC

#define MESSAGE_QC "message", IMAGEQC_DB

#define DBA_MESSAGE_QC {"dba", MESSAGE_QC
#define TEXT_MESSAGE_QC {"text", MESSAGE_QC

#define RESEND_QC "resend", IMAGEQC_DB

#define DBA_RESEND_QC {"dba", RESEND_QC
#define STATION_RESEND_QC {"station", RESEND_QC
#define DESTCODE_RESEND_QC {"dest_code", RESEND_QC
#define DESCRIPTION_RESEND_QC {"description", RESEND_QC
#define DEF_RESEND_QC {"def", RESEND_QC

#define STATION_QC "station", IMAGEQC_DB

#define DBA_STATION_QC {"dba", STATION_QC 
#define FACILITY_STATION_QC {"facility", STATION_QC 
#define QCAREA_STATION_QC {"qc_area", STATION_QC 
#define STATION_STATION_QC {"station", STATION_QC 
#define DESCRIPTION_STATION_QC {"description", STATION_QC 
#define DICOMTAG_STATION_QC {"dicom_tag", STATION_QC 
#define BEGINPROCESS_STATION_QC {"begin_process", STATION_QC 
#define ENDPROCESS_STATION_QC {"end_process", STATION_QC 

#define STUDY_QC "study", IMAGEQC_DB

#define DBA_STUDY_QC {"dba", STUDY_QC
#define QCSTATUS_STUDY_QC {"qc_status", STUDY_QC
#define SERVER_STUDY_QC {"server", STUDY_QC
#define STUDYID_STUDY_QC {"study_id", STUDY_QC
#define SOURCE_STUDY_QC {"source", STUDY_QC
#define MODALITY_STUDY_QC {"modality", STUDY_QC
#define STATIONNAME_STUDY_QC {"station_name", STUDY_QC
#define INSTITUTIONNAME_STUDY_QC {"institution_name", STUDY_QC
#define PID_STUDY_QC {"pid", STUDY_QC
#define DNUMBER_STUDY_QC {"dnumber", STUDY_QC
#define PNAME_STUDY_QC {"pname", STUDY_QC
#define DOB_STUDY_QC {"dob", STUDY_QC
#define SEX_STUDY_QC {"sex", STUDY_QC
#define VISIT_STUDY_QC {"visit", STUDY_QC
#define ACCN_STUDY_QC {"accn", STUDY_QC
#define DESCRIPTION_STUDY_QC {"description", STUDY_QC
#define EXAMCODE_STUDY_QC {"exam_code", STUDY_QC
#define BODYPART_STUDY_QC {"body_part", STUDY_QC
#define SCHEDULED_STUDY_QC {"scheduled", STUDY_QC
#define STUDYDONE_STUDY_QC {"study_done", STUDY_QC
#define REPORTDONE_STUDY_QC {"report_done", STUDY_QC
#define FIRSTARRIVE_STUDY_QC {"first_arrive", STUDY_QC
#define ERRORS_STUDY_QC {"errors", STUDY_QC
#define QCDONE_STUDY_QC {"qc_done", STUDY_QC
#define USERID_STUDY_QC {"user_id", STUDY_QC
#define DESTCODE_STUDY_QC {"dest_code", STUDY_QC

#endif
