#!/bin/csh

#****************************************************************************
# CheckQC.csh                                                       R Moulton
# This script will start the qc processes resend_qc and qc_signal_server.
# These programs run using a process lock fifo, so there is no need to check
# if they are already running. This script is designed to be run periodically 
# from the crontable for spectrum
#****************************************************************************
if (`whoami` != spectrum) then
   echo Must be user spectrum to check/restart the qc processes.
   exit 1
endif

cd $HOME/production/qc

resend_qc &
qc_signal_server &

exit 0
