#	recalc.awk
# Determine ratio of two columns and replace last column with result.
# M.Suchko	2008 June 30
BEGIN	{
OFMT="%.2g"
FS="\t"
OFS="\t"
}
{
ii=match($5,"[a-zA-Z]")
if (ii == 0)
   {
   subscript=$1 "\t" $2 "\t" $3 "\t" $4
   combinedData5[subscript]+=$5
   combinedData6[subscript]+=$6
   }
else
# This is a header
   {
   header=$0
   }
}
END	{
print header
for (subscript in combinedData5)
   {
   ii=match(combinedData5[subscript],"[a-zA-Z]")
   if (ii == 0)
      {
      if (combinedData6[subscript] != 0)
         {
         newRatio=(combinedData5[subscript]/combinedData6[subscript] * 100)
         }
      else
         {
         newRatio=0
         }
      if (index(newRatio,".") == 0)
         {
         newRatio=newRatio ".0"
         }
      print subscript,combinedData5[subscript],combinedData6[subscript],newRatio
      }
   }
}
