BEGIN	{
  FS = "\t";
  cellType = "td";

  print "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
  print "<html xmlns=\"http://www.w3.org/1999/xhtml\" lang=\"en-US\" xml:lang=\"en-US\">";
  print "<head>";
  print "  <meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\" />";
  print "</head>";
  print "<style>";
  print ".bookList {";
  print "  font-family: Verdana, Arial, Helvetica, Sans-Serif;";
  print "  font-size: 12px;";
  print "}";
  print ".bookList caption {";
  print "  font-size: 18px;";
  print "}";
  print ".bookList th {";
  print "  background-color: #CCCCCC;";
  print "  border-bottom: solid 1px #000000;";
  print "  border-right: solid 1px #000000;";
  print "}";
  print ".bookList td {";
  print "  border-bottom: solid 1px #000000;";
  print "  border-right: solid 1px #000000;";
  print "}";
  print "</style>";
  print "<body bgcolor=#fff0f0>";
  print "<a name=\"TOP\"></a>"
}
{
  if(NR == 1)
    {
# Passed in parameters are not available in the "Begin" block.
    print "<table class=\"bookList\" bgcolor=#f2e0f0>";
    print "  <caption align=\"left\">" title "</caption>";
    print "<TR>"
    ii=split(header,array,"\t")
    for (jj=1; jj<=ii; jj++)
       {
       print "<th>" array[jj] "</th>"
# If this column will contain a number, remember it so we can right justify.
       match(array[jj],"[Pp][Ee][Rr][Cc][Ee][Nn][Tt]")
       if (RSTART == 0)
          {
          match(array[jj],"[Cc][Oo][Uu][Nn][Tt]")
          }
       if (RSTART != 0)
          {
          numberInColumn[jj]="Y"
          }
       }
    print "</TR>"
    }

#  // Open the row
  print "  <tr>";

#  // Loop over the fields
  for(ii = 1; ii <= NF; ii++)
  {
#    // Some of our fields are quoted so we want to trim those
    myData = $ii;
    if (match(myData, "^\"") && match(myData, "\"$"))
       {
       sub(/^"/, "", myData);
       sub(/"$/, "", myData);
       }
    else if (length(myData) == 0)
       {
       myData="&nbsp;"
       }

    if (numberInColumn[ii] == "Y")
       {
       alignValue=" align=\"right\""
       }
    else
       {
       alignValue=""
       }

    print "    <" cellType alignValue">" myData "</" cellType ">";
  }

  print "  </tr>";
}
END	{
   print "</table>"
   if (NR > 30)
      {
      print "Return to the <a href=\"#TOP\"> top of the page.</a>"
      }

   print "<div align=\"right\" style=\"color:#5F00FF;\">"
   print "<h4>Mallinckrodt Institute of Radiology</h4>"
   print "<br>Information Systems</br>"
   print "</div>"
   print "</body></html>";
}
