# tab2sortTable.awk
# M.Suchko	2008 July 31
#
BEGIN	{
  FS = "\t";
  cellType = "td";

  print "</head>";
  print "<style>";
  print "table.sortable {";
  print "  font-family: Verdana, Arial, Helvetica, Sans-Serif;";
  print "  font-size: 12px;";
  print "}";
  print "table.sortable caption {";
  print "  font-size: 18px;";
  print "}";
  print "table.sortable th {";
  print "  background-color: #CCCCCC;";
  print "  border-bottom: solid 1px #000000;";
  print "  border-right: solid 1px #000000;";
  print "}";
  print "table.sortable td {";
  print "  border-bottom: solid 1px #000000;";
  print "  border-right: solid 1px #000000;";
  print "}";
  print "</style>";
  print "<body bgcolor=#fff0f0>";
  print "<a name=\"TOP\"></a>"
}
{
  if(NR == 1)
    {
# Passed in parameters are not available in the "Begin" block.
    print "<table class=\"sortable\" bgcolor=#f2e0f0>";
    print "<caption>" caption "</caption>"
    print "<TR>"
    ii=split(header,array,"\t")
    for (jj=1; jj<=ii; jj++)
       {
       print "<th>" array[jj] "</th>"
# If this column contains a number, remember it so we can right justify.
       match(array[jj],"[Pp][Ee][Rr][Cc][Ee][Nn][Tt]")
       if (RSTART == 0)
          {
          match(array[jj],"[Cc][Oo][Uu][Nn][Tt]")
          }
       if (RSTART != 0)
          {
          numberInColumn[jj]="Y"
          }
       }
    print "</TR>"
    }

#  // Open the row
  print "  <tr>";

#  // Loop over the fields
  for(ii = 1; ii <= NF; ii++)
  {
#    // Some of our fields are quoted so we want to trim those
    myData = $ii;
    if (match(myData, "^\"") && match(myData, "\"$"))
       {
       sub(/^"/, "", myData);
       sub(/"$/, "", myData);
       }
    else if (length(myData) == 0)
       {
       myData="&nbsp;"
       }

    if (numberInColumn[ii] == "Y")
       {
       alignValue=" align=\"right\""
       }
    else
       {
       alignValue=""
       }

    print "    <" cellType alignValue">" myData "</" cellType ">";
  }

  print "  </tr>";
}
END	{
   print "</table>"
   if (NR > 30)
      {
      print "Return to the <a href=\"#TOP\"> top of the page.</a>"
      }
}
