/********************************************************************
 * OTime.c daysago format_string
 *
 * Program to return the date daysago in the passed format_string
 * If successful, returns status 0, otherwise status 1
 *-------------------------------------------------------------------
 * Compile: gcc OTime.c -o OTime
 *******************************************************************/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <time.h>

time_t now;
struct tm * tm;
int daysago, retv;
char format_string[128], rtime[128];
int main(int numpars, char * par[])
{ 
   if(numpars < 3) { printf("Syntax: OTime daysago format_string"); exit(1);}
   daysago = atoi(par[1]);
   memset(format_string,0,sizeof(format_string));
   strcpy(format_string, par[2]);
   now = time(NULL) - (daysago * 86400);
   tm = localtime(&now);
   memset(rtime,0,sizeof(rtime));
   retv = strftime(rtime, sizeof(rtime), format_string, tm);
   if(!retv) { printf("strftime error\n"); exit(1); }
   printf(rtime);           
   exit(0);
}
