#************************************************************************************
# qc.gdb                                                                    R Moulton
# gdb -x qc.gdb
# ps -aef | grep -v grep | grep qc/qc
#------------------------------------------------------------------------------------
# gdb command file for testing GUI qc program.
#------------------------------------------------------------------------------------
# To debug the qc: 
#   1. load gdb for qc on the Unix box, using the gdb command line above.
#   2. run the qc program on the PC.
#   3. Find the qc process, using ps command line above.
#   4. Attach the process using "attach pid" to pick up debugging on qc 
#   6. dettach pid when you are done.                
#************************************************************************************
dir /export/home/spectrum/masters/qc               
file /export/home/spectrum/masters/qc/qc 
cd /export/home/spectrum/masters/qc               
set print elements 0
set print null-stop
break on_Button_update_clicked_OK
