// %W% %U% %G%
//
//    MBroadcastManager
//
//
//
//    Steve Moore, 15-Aug-96

#ifndef MBroadcastManager_IS_IN
#define MBroadcastManager_IS_IN

#include <vector>

class MBroadcastAccountant;

class MBroadcastManager {
public:

  // Constructors
  MBroadcastManager();

  virtual ~MBroadcastManager();

  virtual void print( ostream& s) const;

  int broadcast(const char* reportMgr,
		const char* AETitle, 
      const char* AEOveride,
      const char* directory,
		vector<char*> images,
		const char* host,
		const char* queueName);

};

inline ostream& operator <<(ostream& s, const MBroadcastManager& c) {
  c.print( s );
  return s;
}
#endif
