static char sccs_id[] = "// %W% %U% %G%";

//  MStorageKey
//
//  Steve Moore, 5-Jan-1999

#include <iostream>
using namespace std;
#include "ctn_os.h"
#include "MStorageKey.hpp"


MStorageKey::MStorageKey(const char* fileName, const char* destination) :
  _fileName(fileName),
  _destination(destination)
{
}

MStorageKey::MStorageKey(const string& fileName, const string& destination) :
  _fileName(fileName),
  _destination(destination)
{
}

MStorageKey::MStorageKey(const MStorageKey& rhs) :
  _fileName(rhs._fileName),
  _destination(rhs._destination)
{
}

const MStorageKey& 
MStorageKey::operator=( const MStorageKey& rhs )
{
  _fileName = rhs._fileName;
  _destination = rhs._destination;
  return *this;
}

/*virtual*/
MStorageKey::~MStorageKey()
{
}

void
MStorageKey::print (ostream& s) const
{
  s << "MStorageKey";
}


bool
MStorageKey::operator==(const MStorageKey& other) const
{
  if (!(_fileName == other._fileName))
    return false;
  if (!(_destination == other._destination))
    return false;

  return true;
}

bool
MStorageKey::operator!=(const MStorageKey& other) const
{
  return !(*this == other);
}

bool
MStorageKey::operator < (const MStorageKey& other) const
{
  if (_fileName < other._fileName)
    return true;
  else if (_fileName > other._fileName)
    return false;

  if (_destination < other._destination)
    return true;
  else
    return false;
}
