/*
+-+-+-+-+-+-+-+-+-
*/
/*
**		     Electronic Radiology Laboratory
**		   Mallinckrodt Institute of Radiology
**		Washington University School of Medicine
**
** Module Name(s):
** Author, Date:	Steve Moore, 1-Apr-1997
** Intent:		This program
** Last Update:		$Author: smm $, $Date: 2002/02/26 21:19:30 $
** Source File:		$RCSfile: stat.cpp,v $
** Revision:		$Revision: 1.1 $
** Status:		$State: Exp $
*/

static char rcsid[] = "$Revision: 1.1 $ $RCSfile: stat.cpp,v $";

#include "ctn_os.h"
#include <iostream>

#include "dcm_api.h"

static void
usageerror()
{
    char msg[] = "\
Usage: stat file ";

    cerr << msg << endl;
    ::exit(1);
}



main(int argc, char** argv)
{
  CONDITION cond;
  long i, count;

  while (--argc > 0 && (*++argv)[0] == '-') {
    switch (*(argv[0] + 1)) {
    case 'a':
      argc--;
      argv++;
      break;
    default:
      break;
    }
  }

  if (argc < 1)
    usageerror();

  struct stat s;
  memset(&s, 0, sizeof s);

  stat(*argv, &s);

  time_t t = s.st_mtime;

  char *c = ctime(&t);
  cout << c << endl;

  return 0;
}
