#!/bin/csh

#-------------------------------------------------------------------
# BounceOld.csh                                            R Moulton
# This subscript of Bounce.csh reads a file on standard input, sends
# the last line in the file to standard output, and returns a count
# of the number of lines in the file.  All lines are assumed non-bl.
#-------------------------------------------------------------------
@ count = 0
set LASTLINE = ""
while (1)
   set LINE = $<
   if ("$LINE" == "") break
   set LASTLINE = "$LINE"
   @ count += 1
end
echo "$LASTLINE"
exit $count
