#!/bin/csh
#***************************************************************************************
# Used by Distributor to allow simplified, standard entries in crontab.  Executes 
# corresponding script in bin directory.
#***************************************************************************************
# Dealer ext_queue int_queue destination delay
#---------------------------------------------------------------------------------------
if ("$1" == Dealer) then
   set EQ = $2
   set IQ = $3
   set DEST = $4
   set DELAY = $5
   $BIN/Dealer.csh ${SNAME}.$EQ.$IQ $DEST $DELAY < $BIN/${CSNAME}$IQ.cfg > $LOG/Move.${SNAME}$EQ.log
   exit 0
endif
#-------------------------------------------------------------------------------- Router
if ("$1" == Router) then
   $BIN/Router.csh > /dev/null
   exit 0
endif 
#------------------------------------------------------------------------------- Janitor
if ("$1" == Janitor) then
   $BIN/Janitor.csh $SNAME
   exit 0
endif
#----------------------------------------------------------------------------- Echo Test
if ("$1" == EchoTest) then
   $BIN/EchoTest.csh < $BIN/EchoTest.cfg
   exit 0
endif 
#---------------------------------------------------------------------------------- Test
if ("$1" == Test) then
   $BIN/Test.csh
   exit 0
endif
#--------------------------------------------------------------------------------- Error
echo Invalid D.csh parameters in crontab:
echo "$argv"
exit 1
