#!/bin/csh
#******************************************************************************
# Fail.csh                                                            R Moulton
# Script scans the dest.*.sendto files in the /distributor/imgs tree and logs
# those which have more than a threshold number of failures and still has
# images
#******************************************************************************
set MAX = 5
if ("$1" != "") set MAX = $1 
set LFILE = $LOG/Fail.log
echo "fails	dest	server	addn	pid	pname	study" > $LFILE
cd /distributor/imgs
find . -name "dest.*.sendto" -exec $BIN/FailFind.csh {} $MAX \;
if ( `wc -l < "$LFILE"` > 1) then
   cat $LFILE
else
	echo "Nothing found"
endif
exit 0
