#!/bin/csh
#***********************************************************
# HippaScrubber.csh                                 C Barlow
#
# Pipe script to remove unwanted lines, for GetHippaLogs
#-----------------------------------------------------------
# 8/30/7 - Original write
# 9/3/7  - C Barlow Added a sed command to remove false 
#          line returns. Now when this file is viewed with 
#          cat, the line looks wrong. To get the real view 
#          of this file, it needs to be viewed in vi.
# 7/23/9 - R Moulton Added count check to avoid endless loop
#          if end-of-file not found
#***********************************************************
@ i = 0
while ($i < 1000)
  @ i += 1
  set TABLELINE = $<
  
  if ("$TABLELINE" == "end-of-file") break

  if ("$TABLELINE" == "") continue
  if (`echo "$TABLELINE" | cut -c1` == "|") continue

  echo "$TABLELINE" | sed 's/
//'
  @ i = 0
end
exit 0
