#!/bin/csh
#*******************************************************************************
# Checks for lock file in par 1.  If exists, checks for process with grep string
# par 2.  If process does not exist, deletes lock file. 
#*******************************************************************************
set LOCK = $TMP/$1
if (!(-e $LOCK)) exit 0
ps -ae -o ppid,args | grep " 1 /bin/csh" | egrep -v "egrep|MoveStudy" | grep "$2" > /dev/null
if ($status == 1) then
   echo "`date` - deleted $1" >> $HOME/elog
   rm $LOCK
endif
if (-e $LOCK) exit 1
exit 0
