#!/bin/csh
$HOME/.cshrc

set BIN = '/export/home/spectrum/production/relay1/bin'

set PROCOUNT = `ps -aef | grep spectrum | wc -l`

echo $PROCOUNT

if ($PROCOUNT > 150) then
  echo "Processes too high"
  echo "e=suchkom@mir.wustl.edu" > $BIN/ProcessCheck.msg
  echo "t=Process Check on $SNAME" >> $BIN/ProcessCheck.msg
  echo "d=%x %X" >> $BIN/ProcessCheck.msg
  echo "Process Count: $PROCOUNT" >> $BIN/ProcessCheck.msg
  $BIN/SendAlert $BIN/ProcessCheck.msg
else
  echo "Processes are good"
endif

exit 0

