# maxWidth is the maximum length we'd like to see on one line.
# fieldToReplace is the field we are working on.
{
newString=$fieldToReplace

# If the field has already been tinkered with, don't tinker with it any more.
if (index($fieldToReplace,"\<br\>") != 0)
   {
   print $0
   break
   }

# First, let's see if there is a run of letters followed by numbers...
match(newString,"[a-zA-Z]+")

if (RLENGTH > 2)
   {
   if (RSTART == 1)
      {
      newString=substr(newString,1,RLENGTH) "<br>" substr(newString,RLENGTH+1)
      }
   else
      {
      newString=substr(newString,1,RSTART-1) "<br>" substr(newString,RSTART)
      }
   }
outputLine=$1
for (ii=2; ii<=NF; ii++)
   {
   if (ii != fieldToReplace)
      {
      outputLine=outputLine FS $ii
      }
   else
      {
      outputLine=outputLine FS newString
      }
   }
print outputLine
}
