#****************************************************************************
# modify log db for script/queue based distributor
#----------------------------------------------------------------------------
# 6-26-02 R Moulton altered to make db changes for this date
#****************************************************************************

USE image_log_db;
  
DROP TABLE IF EXISTS pending;
CREATE TABLE pending
(
	pending_dba   INT UNSIGNED NOT NULL,
	INDEX pstudy (pending_dba)
);

DESCRIBE pending;

ALTER IGNORE TABLE xmits
   ADD PRIMARY KEY (study_dba, dest_code),
   DROP INDEX study;

DESCRIBE xmits;

#---------------------------------------------------- update user accounts
GRANT INSERT ON image_log_db.* TO dealer@localhost IDENTIFIED BY 'dlrpw';
GRANT UPDATE ON image_log_db.* TO dealer@localhost IDENTIFIED BY 'dlrpw';
GRANT DELETE ON image_log_db.* TO dealer@localhost IDENTIFIED BY 'dlrpw';
GRANT SELECT ON image_log_db.* TO dealer@localhost IDENTIFIED BY 'dlrpw';
GRANT CREATE ON image_log_db.* TO spectrum@localhost;
GRANT SELECT ON studylog TO spectrum@localhost;
GRANT SELECT ON xmits TO spectrum@localhost;

FLUSH PRIVILEGES;
