# splitField.awk
# Find a nice break point to insert a LF for html.
#
# M.Suchko	2008 Aug 8
BEGIN	{
FS="\t"
maxWidth=10
}
{
# If the field has already been tinkered with, don't tinker with it any more.
if (index($fieldToReplace,"\<br\>") != 0)
   {
   print $0
   break
   }

tempString=$fieldToReplace
gsub(/[ ]+/," ",tempString)
longestSoFar=0
tokenCtr=1
posi=1
while (posi != 0)
{
posi=match(tempString,"[ ,\^.-]")
#print "DEBUG5>" posi
if (length(tempString) > maxWidth && RSTART > 0 && length(tempString) > longestSoFar)
   {
   token[tokenCtr]=substr(tempString,1,RSTART)
   if (length(token[tokenCtr]) > longestSoFar)
      {
      longestSoFar=length(token[tokenCtr])
      }
   tokenCtr++
   token[tokenCtr]=substr(tempString,RSTART+1)
   tempString=token[tokenCtr]
#print "DEBUG>" token[tokenCtr-1] "><" tokenCtr  "><"  token[tokenCtr]
   }
else
   {
   posi=0
   token[tokenCtr]=tempString
   }
}


newString=token[1]
if (tokenCtr > 1)
{
for (ii=2; ii<=tokenCtr; ii++)
   {
   newString=newString "<br>" token[ii]
   }
}

outputLine=$1
for (ii=2; ii<=NF; ii++)
   {
#print "DEBUG77>" ii "><" fieldToReplace ">"
   if (ii != fieldToReplace)
      {
      outputLine=outputLine FS $ii
      }
   else
      {
      outputLine=outputLine FS newString
      }
   }
print outputLine

}
