/*-------------------------------------------------------------------
 * Compile: gcc -g param.c -o param
 * takes a line of text from the command line, parses it for parame-
 * ters of the form ${parname}, replaces them with their values from
 * getenv, and outputs the result to stdout
 *******************************************************************/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define BS 256

int main(int numpars, char * par[])
{  char a[BS], b[BS], e[BS], v[BS], *p, *q;
   if (numpars < 2) return(1);
   strcpy(a,par[1]);
   while ((p=strstr(a,"${")) && 
          (q=strstr(p,"}")))
   {  memset(b,0,BS);
      memset(e,0,BS);
      memset(v,0,BS);
      strncpy(b,a,p-a);
      strcpy(e,q+1);
      strcpy(v,strtok(p+2,"}"));
      if (p=getenv(v)) strcpy(v,p);
      strcpy(a,b);
      strcat(a,v);
      strcat(a,e);
   }
   printf(a);
   return(0);
}
