/****************************************************************************************
 * qc_callbacks.h                                                               R Moulton
 * Actual routines which process qc program logic.
 ***************************************************************************************/
#include <gtk/gtk.h>

/*------------------------------ Function prototypes ----------------------------------*/
gboolean on_login_delete_event (GtkWidget * widget, GdkEvent * event, gpointer user_data);
void on_LButton_OK_clicked (GtkButton * button, gpointer user_data);

gboolean on_main_delete_event (GtkWidget * widget, GdkEvent * event, gpointer user_data);
void on_Combo_qc_group_changed (GtkCombo * combobox, gpointer user_data);
void on_Combo_modality_changed (GtkCombo * combobox, gpointer user_data);
void on_clist_qc_select_row (GtkCList * clist, gint row, gint column, GdkEvent * event, gpointer user_data);
void on_Button_delete_clicked (GtkButton * button, gpointer user_data);
void on_Button_cancel_clicked (GtkButton * button, gpointer user_data);
void on_Button_query_clicked (GtkButton * button, gpointer user_data);
void on_Button_update_clicked (GtkButton * button, gpointer user_data);
void on_Button_refresh_clicked (GtkButton * button, gpointer user_data);
void on_Button_chg_pw_clicked (GtkButton * button, gpointer user_data);


void on_Qclist_select_row (GtkCList * clist, gint row, gint column, GdkEvent * event, gpointer user_data);
void on_QButton_cancel_clicked (GtkButton * button, gpointer user_data);
void on_QButton_OK_clicked (GtkButton * button, gpointer user_data);

void on_password_cancel_clicked (GtkButton * button, gpointer user_data);
void on_password_OK_clicked (GtkButton * button, gpointer user_data);
gboolean on_password_delete_event (GtkWidget * widget, GdkEvent * event, gpointer user_data);
void on_password_entry_changed(GtkEntry *entry, gpointer user_data);

gboolean on_msg_delete_event (GtkWidget * widget, GdkEvent * event, gpointer user_data);
void on_msg_OK_clicked (GtkButton * button, gpointer user_data);

gboolean on_AreYouSure_delete_event (GtkWidget * widget, GdkEvent * event, gpointer user_data);
void on_AreYouSure_OK_clicked (GtkButton * button, gpointer user_data);
void on_AreYouSure_cancel_clicked (GtkButton * button, gpointer user_data);

gboolean on_info_delete_event (GtkWidget * widget, GdkEvent * event, gpointer user_data);
void on_info_clear_clicked (GtkButton * button, gpointer user_data);
void on_info_save_clicked (GtkButton * button, gpointer user_data);

void on_Entry_idx_changed(GtkEntry *entry, gpointer user_data);

void on_RCancel_clicked (GtkButton * button, gpointer user_data);
void on_ROK_clicked (GtkButton * button, gpointer user_data);
gboolean on_Resend_delete_event (GtkWidget * widget, GdkEvent * event, gpointer user_data);
void on_Rclist_select_row(GtkCList *clist, gint row, gint column, GdkEvent *event, gpointer user_data);

int qc_init(int argc, char * argv[]);
